1. Authentication
ANexPay Docs
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Enum Reference
  • Api Reference
    • Authentication
      • Get Auth Token
        POST
    • Hosted Payment Page
      • Hosted Payment Page
    • CreditCardPay
      • List Payment History
      • Get Payment Detail
      • Refund
      • List Subscriptions
      • Get Subscription Detail
      • Cancel Subscription
      • Get Subscription Bills
    • StableCoinPay
      • order
        • GetCheckoutOrderList
      • refund-order
        • CreateRefundOrder
        • CancelRefundOrder
        • GetRefundOrderInfo
        • GetRefundOrderList
      • settlement
        • CreateFiatSettlementOrder
        • CancelSettlementOrder
        • GetSettlementOrderList
      • abnormal-payment
        • GetAbnormalPaymentList
        • CreateAbnormalPaymentRefund
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. Authentication

Get Auth Token

Developing
POST
/user/auth/oauth2/token
Get Auth Token

Request

Body Params application/jsonRequired

Example
{
    "grantType": "password",
  "email": "xxx@xxx.com",
  "password": "xxxxx",
  "apiKey": "xxxxxxx",
  "apiSecret": "xxxxxx"
}

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "retcode": "200",
    "retdata": {
        "access_token": "U86Eo476BPQs3InAmxms0Z2j",
        "token_type": "bearer",
        "expires_in": 1800,
        "client_id": 1
    },
    "retmsg": null,
    "success": true
}
Modified at 2026-06-03 07:50:45
Previous
Enum Reference
Next
Hosted Payment Page
Built with